List a folder's jobs
curl --request GET \
--url https://nemonist.com/api/v1/folders/{id}/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/folders/{id}/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/folders/{id}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobs": [
{
"id": "<string>",
"status": "queued",
"conclusion": "success",
"state": "<string>",
"running": true,
"taskConclusions": [
{
"task": 123,
"status": "queued",
"conclusion": "success",
"exit": "<string>"
}
],
"rerunOf": "<string>",
"attempt": 123,
"rerunTasks": [
123
],
"annotations": [
{
"level": "error",
"message": "<string>",
"task": 123
}
],
"group": "<string>"
}
]
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}Folders
List a folder's jobs
The folder’s compute jobs, newest first: status and conclusion, queue, time limit, Slurm state, exit, cost, and each ended job’s copied outputs.
GET
/
folders
/
{id}
/
jobs
List a folder's jobs
curl --request GET \
--url https://nemonist.com/api/v1/folders/{id}/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/folders/{id}/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/folders/{id}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobs": [
{
"id": "<string>",
"status": "queued",
"conclusion": "success",
"state": "<string>",
"running": true,
"taskConclusions": [
{
"task": 123,
"status": "queued",
"conclusion": "success",
"exit": "<string>"
}
],
"rerunOf": "<string>",
"attempt": 123,
"rerunTasks": [
123
],
"annotations": [
{
"level": "error",
"message": "<string>",
"task": 123
}
],
"group": "<string>"
}
]
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}